@import "./mixins";

#particles-js {
  position: fixed;
  z-index: 3;
  width: 100%;
  height: 100%;
}

@keyframes nav-icons {
  0% {
    -moz-transform: translate3d(0, 1em, 0);
    -webkit-transform: translate3d(0, 1em, 0);
    -ms-transform: translate3d(0, 1em, 0);
    transform: translate3d(0, 1em, 0);
    opacity: 0;
  }
  100% {
    -moz-transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

@keyframes page {
  0% {
    -moz-transform: translate3d(0, 1em, 0);
    -webkit-transform: translate3d(0, 1em, 0);
    -ms-transform: translate3d(0, 1em, 0);
    transform: translate3d(0, 1em, 0);
    opacity: 0;
  }
  100% {
    -moz-transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

@keyframes overlay {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.bg {
  background-image: url("./../assets/fondo.jpg");
  filter: blur(2px);
  background-attachment: fixed;
  background-size: cover;
  background-color: #00000080;
  background-blend-mode: soft-light;
  transform: scale(1.1);
  width: 100%;
  height: 100%;
  left: -5px;
  top: -5px;
  bottom: -5px;
  position: fixed;
  right: -5px;
  z-index: 1;
}

.overlay {
  -moz-animation: overlay 1s 1s forwards;
  -webkit-animation: overlay 1s 1s forwards;
  -ms-animation: overlay 1s 1s forwards;
  animation: overlay 1s 1s forwards;
  background-attachment: fixed, fixed;
  background-image: url(./../assets/overlay-pattern.png), url(./../assets/overlay.svg);
  background-position: top left, center center;
  background-repeat: repeat, no-repeat;
  background-size: auto, cover;
  height: 100%;
  left: 0;
  opacity: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.homepage {
  -moz-animation: page .2s .8s forwards;
  -webkit-animation: page .2s .8s forwards;
  -ms-animation: page .2s .8s forwards;
  animation: page .2s .8s forwards;
  -moz-backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -moz-transform: translate3d(0, 0, 0);
  -webkit-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  cursor: default;
  opacity: 0;
  position: relative;
  text-align: center;
  top: -1em;
  vertical-align: middle;
  width: 100%;
  padding: 10%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100vh;
  z-index: 3;
  transition: width 1s;

  &.active {
    width: 70%;
    padding: 0 30px;
  }

  .copyright {
    position: fixed;
    bottom: 10px;
    font-weight: 500;
    font-size: 1.1rem;
    margin: 0 auto;
    z-index: 22;
    width: 100%;
  }
}

.editContent {
  transform: translateX(130%);

  &.active {
    animation: slide-in 0.5s forwards;
  }
}
@keyframes slide-in {
  100% { transform: translateX(0%); }
}

.title {
  font-size: 6em;
  font-weight: 900;
  letter-spacing: -0.035em;
  line-height: 1em;

  @media(max-width: 768px) {
    font-size: 4rem;
  }
}

.description {
  margin-top: 10px;
  font-size: 1.5rem;
  font-weight: 600;

  ul {
    li {
      display: inline-block;
      margin-right: 20px;
      &:before {
        content: '';
        display: inline-block;
        margin: 0 10px 2px 0;
        width: 10px;
        height: 10px;
        background-color: #ffffff;
        border-radius: 50%;
      }
      &:last-child {
        margin-right: 0;
      }
    }
  }
}

.social-network {
  margin: 1.5em 0 0 0;
  position: relative;
  display: flex;

  li {
    -moz-animation: nav-icons 0.5s ease-in-out forwards;
    -webkit-animation: nav-icons 0.5s ease-in-out forwards;
    -ms-animation: nav-icons 0.5s ease-in-out forwards;
    animation: nav-icons 0.5s ease-in-out forwards;
    -moz-backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    opacity: 0;
    position: relative;
    top: 0;
    width: 5.35em;
    display: flex;
    justify-content: center;

    @for $x from 1 through 10 {
      &:nth-child(#{$x}) {
        -moz-animation-delay: (.1s+$x*.2s);
        -webkit-animation-delay: (.1s+$x*.2s);
        -ms-animation-delay: (.1s+$x*.2s);
        animation-delay: (.1s+$x*.2s);
      }
    }
    @media(max-width: 768px) {
      width: 4em;
    }
  }

  a {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-touch-callout: none;
    border: 0;
    color: #ffffff;
    display: inline-block;
    outline: none;

    &:before {
      -moz-transition: all 0.2s ease-in-out;
      -webkit-transition: all 0.2s ease-in-out;
      -ms-transition: all 0.2s ease-in-out;
      transition: all 0.2s ease-in-out;
      border-radius: 100%;
      border: solid 1px #fff;
      display: block;
      font-size: 1.75em;
      height: 2.5em;
      line-height: 2.5em;
      position: relative;
      text-align: center;
      top: 0;
      width: 2.5em;

      @media(max-width: 768px) {
        width: 2em;
        font-size: 1.5em;
        height: 2em;
        line-height: 2em;
      }
    }

    &:hover {
      //font-size: 1.05em;

      &:before {
        background-color: rgba(255, 255, 255, 0.175);
        color: #fff;
      }
    }
  }

  .tooltip {
    position: absolute;
    top: 80px;
    background-color: #fff;
    border-radius: 10px;
    color: #000;
    padding: 4px 8px;

    &:before {
      content: '';
    }
  }

  @media(max-width: 768px) {
    justify-content: center;
    flex-wrap: wrap;
  }

}


.icon {
  @include icon;
  position: relative;

  > .label {
    display: none;
  }

  &.solid {
    &:before {
      font-weight: 900;
    }
  }

  &.brands {
    &:before {
      font-family: 'Font Awesome 5 Brands';
    }
  }
}
